Skip to main content
GET
/
v1
/
bank-accounts
/
{bankAccountId}
/
balance
Get bank account balance
curl --request GET \
  --url https://api.light.inc/v1/bank-accounts/{bankAccountId}/balance \
  --header 'Authorization: <api-key>'
{
  "bankAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "currency": "<string>",
  "bankBalance": 123,
  "ledgerBalance": 123,
  "asOf": "2023-12-25"
}

Documentation Index

Fetch the complete documentation index at: https://docs.light.inc/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <api_key>, where <api_key> is your api key.

Path Parameters

bankAccountId
string<uuid>
required

Query Parameters

asOf
object

Date the balance is computed for (ISO-8601, e.g. 2026-05-07). Defaults to today.

Response

default - application/json;charset=UTF-8

default response

bankAccountId
string<uuid>

ID of the bank account

currency
string

Currency of the bank account (ISO 4217)

bankBalance
integer<int64> | null

Bank statement balance in minor units (e.g. cents). Computed from the opening balance plus all bank transactions on or before asOf. Null if no opening balance has been set for this bank account.

ledgerBalance
integer<int64>

Ledger balance in minor units (e.g. cents). Computed from all ledger transaction lines posted on or before asOf for the bank account's ledger account.

asOf
string<date>

Date the balance is computed for